<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : SADE-Server
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Object-Management-and-Administration_7439944.html">Object Management and Administration</a></span>
              </li>
              <li>
                <span><a href="Publish-Tool-SADE_8129840.html">Publish Tool SADE</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : SADE-Server</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Klaus Thoden</span>, last modified by <span class="editor">Mathias Göbel</span> on Oct 08, 2015
          </div>
          <div id="main-content" class="wiki-content group">
            <h1 id="SADE-Server-Installation.1">
              Installation
            </h1>
            <p>
              This page describes the installation of the server package. Please see also the details about the installation of the TextGridLab plug-in.
            </p>
            <h2 id="SADE-Server-Download.1">
              Download
            </h2>
            <p>
              This report refers to the SADE version Latest-stable.tar.gz (SADE server) provided in the TextGrid Wiki. This software is still in development. The daily build can be retrieved at <a href="http://dev2.dariah.eu/jenkins/view/TextGrid/job/SADE/lastSuccessfulBuild/artifact/dist-" class="external-link" rel="nofollow">http://dev2.dariah.eu/jenkins/view/TextGrid/job/SADE/lastSuccessfulBuild/artifact/dist-</a> utils/antbuild/build/Sade textgrid.tar.gz. Windows user may need an application such as WinRAR or 7-Zip to unpack the compressed folder.
            </p>
            <h2 id="SADE-Server-Start">
              Start
            </h2>
            <p>
              The compressed archive needs to be unzipped after its download. Afterwards the “bin” folder can be found in the unpacked directory. Startup applications for the different operating systems are available. Windows user open the files with the extension ".bat", Linux and Mac user the ones with ".sh".
            </p>
            <div class="table-wrap">
              <table class="confluenceTable">
                <tbody>
                  <tr>
                    <th class="confluenceTh">
                      <span>filename</span>
                    </th>
                    <th class="confluenceTh">
                      <span>function</span>
                    </th>
                  </tr>
                  <tr>
                    <td class="confluenceTd">
                      <span>backup</span>
                    </td>
                    <td class="confluenceTd">
                      <span>creates a backup of the database</span><br/>
                      <br/>
                    </td>
                  </tr>
                  <tr>
                    <td class="confluenceTd">
                      <span>client</span>
                    </td>
                    <td class="confluenceTd">
                      <span>startup script for eXist interactive client</span>
                    </td>
                  </tr>
                  <tr>
                    <td class="confluenceTd">
                      <span>run</span>
                    </td>
                    <td class="confluenceTd">
                      <span>with startup options for Linked Java Object Builder and YourKit Java</span><br/>
                      <span>Profiler with Launcher and tray icon</span>
                    </td>
                  </tr>
                  <tr>
                    <td class="confluenceTd">
                      <span>server</span>
                    </td>
                    <td class="confluenceTd">
                      <span>startup script for Jetty + eXist</span>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="1" class="confluenceTd">
                      <span>shutdown</span>
                    </td>
                    <td colspan="1" class="confluenceTd">
                      <span>stop Jetty + eXist</span>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="1" class="confluenceTd">
                      <span>startup</span>
                    </td>
                    <td colspan="1" class="confluenceTd">
                      <p>
                        <span>startup script for Jetty + eXist</span>
                      </p>
                      <p>
                        <span><span>with the option "Java debugging via JDWP on port 4000 in server mode"</span><br/>
                        <span>without Launcher and tray icon</span></span>
                      </p>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <p>
              In case of installations with a graphical user interface (Windows or Linux on personal computers) "run.sh" (Linux / Mac) or "run.bat" (Windows) is recommended because it contains a launcher, runs in the background and can be accessed or terminated via a tray icon. To configure a remote server, the documentationof eXist provides an auto-start-guide, accessible via <a href="http://exist-db.org/exist/apps/doc/advanced-installation.xml" class="external-link" rel="nofollow">http://exist-db.org/exist/apps/doc/advanced-installation.xml</a>. By default, the communication to the instance runs via the port 8080. The "conf.xml" file has to be edited with the appropriate entryin order to use the port 80, which is the established standard for http and for websites. Mainly a privileged user can open port 80 for incoming requests. That’s why the application has to be started as an administrator or super user. The configurations described below have to be adapted accordingly.
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
